## org.apache.cassandra.db
Class RowPosition.RowPositionSerializer

    java.lang.Object
      org.apache.cassandra.db.RowPosition.RowPositionSerializer

All Implemented Interfaces:
  ISerializer<RowPosition>

Enclosing class:
  RowPosition

    public static class RowPosition.RowPositionSerializer

extends java.lang.Object
implements ISerializer<RowPosition>

Constructor Summary
`RowPosition.RowPositionSerializer()`

Method Summary
`RowPosition` `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`void` `serialize(RowPosition pos, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(RowPosition pos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowPosition.RowPositionSerializer

    public RowPosition.RowPositionSerializer()

Method Detail

### serialize

    public void serialize(RowPosition pos,
                          java.io.DataOutput dos)
                   throws java.io.IOException

  Description copied from interface: `ISerializer`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ISerializer<RowPosition>`
  Parameters:
    `pos` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public RowPosition deserialize(java.io.DataInput dis)
                            throws java.io.IOException

  Description copied from interface: `ISerializer`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ISerializer<RowPosition>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(RowPosition pos)

  Specified by:
    `serializedSize` in interface `ISerializer<RowPosition>`

Copyright © 2013 The Apache Software Foundation